Subject: Programmable interface

From: Putnam Barber <[email-masked]>
Date: Tue, 19 Apr 1994 05:13:55 -0700 (PDT)

I can see no problem with allowing +users+ to reprogram keys.  The 
problem would be with administrators doing so, since users on the 
affected systems would need to be quite sophisticated before they would 
be able to discern the character of the change and thus at the mercy of 
bad documentation, inappropriate changes, etc. etc.

I spoze its impossible to imagine a keyboard mapping routine that was 
offlimits to system operators and available to individual accounts.  
Violates a basic law of nature or something.  Maybe such a beast is 
available in unix in some form that could be used as an interface between 
the keyboard and pine.  I type ^S (for send), the "black box" hears ^S 
and is set up to transmit ^X, pine "hears" ^X.  (And of course ^S doesn't 
do whatever ^S is supposed to do when pine is running -- suspend I/O? -- 
and that function isn't available to me unless I have remapped some other 
key into that function.)

Many wordprocessors have facilities like this built in.  If there were a 
way of doing it for unix operations, I would map the keyboard to be more 
like WordPerfect because that's what I use all the time when off-line; in 
particular the PageUp PageDown Home and End keys.  

But I don't think this facility should be pine-specific.  I should just 
be possible to use it with pine (and other useful programs) if available.

.02

Putnam Barber
Seattle